Texa Desk Application API · Contacts
Get Contactable Inboxes
GET/
Get List of contactable Inboxes
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
idnumberrequiredID of the contact
Responses
200Success
payloadarray of objectList of contactable inboxes for the contact
payload[].source_idstringSource identifier for the contact inbox
payload[].inboxobjectpayload[].inbox.idintegerID of the inbox
payload[].inbox.avatar_urlstringURL for the inbox avatar
payload[].inbox.channel_idintegerID of the channel
payload[].inbox.namestringName of the inbox
payload[].inbox.channel_typestringType of channel
payload[].inbox.providerstringProvider of the inbox
401Authentication error
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring422Incorrect payload
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring